# wxMiniFrame Class Reference
[Managed Windows]

`#include <wx/minifram.h>`

Inheritance diagram for wxMiniFrame:
[legend]

## Detailed Description

A miniframe is a frame with a small title bar.

It is suitable for floating toolbars that must not take up too much screen area.

An example of mini frame can be seen in the Dialogs Sample using the "Mini frame" command of the "Generic dialogs" submenu.

## Styles

This class supports the following styles:

- wxICONIZE:
  Display the frame iconized (minimized) (Windows only).
- wxCAPTION:
  Puts a caption on the frame.
- wxMINIMIZE:
  Identical to wxICONIZE.
- wxMINIMIZE_BOX:
  Displays a minimize box on the frame (Windows and Motif only).
- wxMAXIMIZE:
  Displays the frame maximized (Windows only).
- wxMAXIMIZE_BOX:
  Displays a maximize box on the frame (Windows and Motif only).
- wxCLOSE_BOX:
  Displays a close box on the frame.
- wxSTAY_ON_TOP:
  Stay on top of other windows (Windows only).
- wxSYSTEM_MENU:
  Displays a system menu (Windows and Motif only).
- wxRESIZE_BORDER:
  Displays a resizable border around the window.

Remarks:
  This class has miniframe functionality under Windows and GTK, i.e. the presence of mini frame will not be noted in the task bar and focus behaviour is different. On other platforms, it behaves like a normal frame.

##

Library: wxCore

Category: Managed Windows

See also:
  wxMDIParentFrame, wxMDIChildFrame, wxFrame, wxDialog

## Public Member Functions
| wxMiniFrame ()
| Default ctor.
| wxMiniFrame (wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=wxCAPTION|wxRESIZE_BORDER, const wxString &name=wxFrameNameStr)
| Constructor, creating the window.
virtual | ~wxMiniFrame ()
| Destructor.
bool | Create (wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=wxCAPTION|wxRESIZE_BORDER, const wxString &name=wxFrameNameStr)
| Used in two-step frame construction.

List of all members.

## Constructor & Destructor Documentation

wxMiniFrame::wxMiniFrame | ( |  | ) |

Default ctor.

wxMiniFrame::wxMiniFrame | ( | wxWindow * | parent,
|  | wxWindowID | id,
|  | const wxString & | title,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `wxCAPTION|wxRESIZE_BORDER`,
|  | const wxString & | name = `wxFrameNameStr` |
| ) |  |  |

Constructor, creating the window.

Parameters:

  | parent | The window parent. This may be NULL. If it is non-NULL, the frame will always be displayed on top of the parent window on Windows.
  | id | The window identifier. It may take a value of -1 to indicate a default value.
  | title | The caption to be displayed on the frame's title bar.
  | pos | The window position. The value wxDefaultPosition indicates a default position, chosen by either the windowing system or wxWidgets, depending on platform.
  | size | The window size. The value wxDefaultSize indicates a default size, chosen by either the windowing system or wxWidgets, depending on platform.
  | style | The window style. See wxMiniFrame.
  | name | The name of the window. This parameter is used to associate a name with the item, allowing the application user to set Motif resource values for individual windows.

Remarks:
  The frame behaves like a normal frame on non-Windows platforms.

See also:
  Create()

virtual wxMiniFrame::~wxMiniFrame | ( |  | ) | `[virtual]`

Destructor.

Destroys all child windows and menu bar if present.

## Member Function Documentation

bool wxMiniFrame::Create | ( | wxWindow * | parent,
|  | wxWindowID | id,
|  | const wxString & | title,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `wxCAPTION|wxRESIZE_BORDER`,
|  | const wxString & | name = `wxFrameNameStr` |
| ) |  |  |

Used in two-step frame construction.

See wxMiniFrame() for further details.

Reimplemented from wxFrame.

|  | [ top ]